/**
 *  '$RCSfile: AccessionNumberGeneratedException.java,v $'
 *    Purpose: An Exception thrown when a new acc number is generated
 *             either because none was provided or it was not unique
 *  Copyright: 2000 Regents of the University of California and the
 *             National Center for Ecological Analysis and Synthesis
 *    Authors: Matt Jones
 *    Release: 1.0.3
 *
 *   '$Author: jones $'
 *     '$Date: 2001/01/18 19:51:57 $'
 * '$Revision: 1.3 $'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package edu.ucsb.nceas.metacat;

/**
 * Exception thrown when a new accession number is generated
 * either because none was provided or it was not unique. The 
 * message contains the new Accession number
 */
public class AccessionNumberGeneratedException extends Exception {
  /**
   * Create a new AccessionNumberGeneratedException.
   *
   * @param message The new accession number that was generated.
   */
  public AccessionNumberGeneratedException(String message) {
    super(message);
  }
}
